Đến nội dung


Hình ảnh
5 stars - based on 24598 reviews
- - - - -

Xin Giúp Đỡ Sửa Lisp Điền Kích Thước Ghi Ra Text Theo Ý Muốn


  • Please log in to reply
2 replies to this topic

#1 tungquach165

tungquach165

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 08 June 2017 - 11:15 PM

Chào các bác

 

Em có lisp ghi kích thước ra text , giờ nó có dạng này " L : 4000.000" với chiều dài 4000

 

Giờ em muốn ghi thành 3 lần và đổi đơn vị  là "12000MN"

 

Thì sửa thế nào vậy các bác,

 

Mong các bác giúp đỡ

 

http://www.cadviet.c...aighiratext.lsp

 

(defun C:Tkl( / ss L e #h)

(vl-load-com)

(defun Length1(e) (vlax-curve-getDistAtParam e (vlax-curve-getEndParam e)))

(or ans (setq ans 1))

(setq

    #h 1000

    L (strcat "L : "

    (vl-princ-to-string (* (getvar "dimlfac") (apply '+

     (mapcar 'Length1 (vl-remove-if 'listp (mapcar 'cadr (ssnamex (ssget (list (cons 0 "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")))))))

    )))

    )

    ans (cond ((getint (strcat "\nPhuong an nhap ket qua < " (itoa ans) " > :")))(ans))

    txtObj (cond     ((= ans 1) (vlax-ename->vla-object (car (entsel "\nChon text ghi ket qua :"))))

        (T (vla-addtext (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object))) L (vlax-3d-point (getpoint "\n Chon diem nhap ket qua" )) #h ))

      )

)

(vla-put-TextString txtObj L)

(vla-put-Height txtObj #h)

(princ)

)

 

 


  • 0

#2 Mèo Mun

Mèo Mun

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 09 June 2017 - 07:38 AM

Bạn xem bài này: http://www.cadviet.c...tyle-hien-thoi/


  • 0

#3 tungquach165

tungquach165

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 10 June 2017 - 07:42 PM

Cám ơn bạn, mình cũng dow về nhưng thấy hơi chậm, lisp ko tự động nhớ lần trc mỗi lần lập lại, phải chọn lại

 

Bạn giúp mình sửa đc ko ạ?


  • -1